%MP3MDCT Decode MP3 sound file and returns MDCT coefficients
%   [C,W]=MP3MDCT(FILENAME) decodes the given MP3 FILENAME and returns
%   MDCT coefficients C and window sequence W of left channel.
%
%   [C,W]=MP3MDCT(FILENAME,CHANNEL) sets the channel:
%   0: left channel or mono (Default)
%   1: right channel
%
%   [C,W]=MP3MDCT(FILENAME,CHANNEL,STAGE) decodes the given MP3 FILENAME
%   until a given STAGE:
%   1: after dequantisation and scaling
%   2: after stereo processing
%   3: after short-block coefficients reordering (Default)
%   4: after alias reduction
%   5: after IMDCT and frequency inversion
%
%   Output:
%      - C: MDCT coefficients
%      - W: window sequence (0:LONG,1:LONG_STOP,2:SHORT,3:LONG_START)
%
%   This function decodes MPEG-1 Layer 3 only (mono or stereo).

%   Mex implementation in mp3_mdct.c
