%MP3MFCC Compute MP3 transform-domain MFCC
%   C=MP3MFCC(FILENAME) decodes the given MP3 FILENAME and returns
%   the 13 transform-domain MFCC C.
%
%   C=MP3MFCC(FILENAME,NUMCOEFS) sets the number of MFCC coefficients.
%   Minimum: 1, Maximum: 40, Default: 13.
%
%   C=MP3MFCC(FILENAME,NUMCOEFS,CHANNEL) sets the channel:
%   0: left channel or mono (Default)
%   1: right channel
%
%   [C,W]=MP3MFCC(...) returns also the window sequence
%   (0:LONG,1:LONG_STOP,2:SHORT,3:LONG_START)
%
%   This function get the MDCT coefficients after short-block coefficients
%   reordering and before alias reduction; and computes coefficients
%   similar to the MFCC based on the MDCT coefficients.
%
%   This function decodes MPEG-1 Layer 3 only (mono or stereo).
%
%   This function is designed for signals sampled at 44.1 kHz.

%   Mex implementation in mp3mfcc.c
