function out = mp3mfccmean(filename,numcoefs,channel,skipbegin,skipend,framelen,winshape)

% Compute transform-domain MFCC
[c,w] = mp3mfcc(filename,numcoefs,channel);

% Number of frames
numframes = floor((size(c,2)-skipbegin-skipend)/framelen);

%Init output
out = zeros(numcoefs*2,numframes);

%Compute Mean and Var
for n=1:numframes
    
    idx = (n-1)*framelen+skipbegin+1:(n-1)*framelen+skipbegin+framelen;
    
    frame_c = c(:,idx);
    frame_w = w(idx);
    
    frame_c = frame_c(:,ismember(frame_w,winshape));
    
    out(1:numcoefs,n) = mean(frame_c,2);
    out(numcoefs+1:2*numcoefs,n) = var(frame_c,0,2);
    
end