clear all
close all

disp(' ');
disp('Compute transform-domain detection function using mp3df.');
dfL = mp3df('dylan.mp3',0);
dfR = mp3df('dylan.mp3',1);

disp('Read MDCT coefficients using mp3mdct.');
cL = mp3mdct('dylan.mp3',0);
cR = mp3mdct('dylan.mp3',1);

disp('Compute transform-domain detection function based on the MDCT coefs.');
cL = [zeros(576,1) cL];
df2L = sum( sqrt( abs( cL(:,2:end).^2 - cL(:,1:end-1).^2 )))';
cR = [zeros(576,1) cR];
df2R = sum( sqrt( abs( cR(:,2:end).^2 - cR(:,1:end-1).^2 )))';

eL = sum((dfL-df2L).^2);
eR = sum((dfR-df2R).^2);
disp(['Error between the two detection functions. Left: ' num2str(eL) ', Right: ' num2str(eR) '.']);
disp(' ');